git-annex-init(1)

NAME
git-annex-init - initialize git-annex

SYNOPSIS
git annex init [description]

DESCRIPTION
Until a repository (or one of its remotes) has been initialized, git-annex will refuse to operate on it, to avoid accidentally using it in a repository that was not intended to have an annex.

It's useful, but not mandatory, to initialize each new clone of a repository with its own description. If you don't provide one, one will be generated using the username, hostname and the path.

If any special remotes were configured with autoenable=true, this will also attempt to enable them. See git-annex-initremote(1). To disable this, re-enable a remote with "autoenable=false", or mark it as dead (see git-annex-dead(1)).

This command is entirely safe, although usually pointless, to run inside an already initialized git-annex repository.

OPTIONS

--version=N

    Force the repository to be initialized using a different annex.version than the current default.

SEE ALSO
git-annex(1)

git-annex-describe(1)

git-annex-reinit(1)

git-init(1)

AUTHOR
Joey Hess <id@joeyh.name>